XFuXMSong class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuXMSong Class Reference

`#include <XFuXMPlayer_internal.h>`

List of all members.

## Public Attributes

UINT8 * | mOrderTable
| Pattern order table, MAX_ORDERS.
UINT16 | mSongLength
| Song length in pattern order table.
UINT16 | mRestartPosition
| Song restart position.
UINT16 | mNbPatterns
| Number of patterns.
UINT16 | mNbChannels
| Number of channels.
UINT16 | mNbInstruments
| Number of instruments.
UINT16 | mTempo
| Tempo (0..31), tick count.
UINT16 | mBpm
| Bpm (0..255), tick speed.
INT8 | mGlobalVolume
| Global volume.

## Member Data Documentation

UINT16 XFuXMSong::mBpm

| Bpm (0..255), tick speed. Definition at line 200 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSong(), XFuXMPlayer::loadXM(), and XFuXMPlayer::stream().

INT8 XFuXMSong::mGlobalVolume

| Global volume. Definition at line 202 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT16 XFuXMSong::mNbChannels

| Number of channels. Definition at line 196 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSong(), XFuXMPlayer::loadXM(), and XFuXMPlayer::stream().

UINT16 XFuXMSong::mNbInstruments

| Number of instruments. Definition at line 197 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initChannel(), XFuXMPlayer::loadXM(), XFuXMPlayer::stream(), and XFuXMPlayer::~XFuXMPlayer().

UINT16 XFuXMSong::mNbPatterns

| Number of patterns. Definition at line 195 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSong(), XFuXMPlayer::loadXM(), XFuXMPlayer::stream(), and XFuXMPlayer::~XFuXMPlayer().

UINT8* XFuXMSong::mOrderTable

| Pattern order table, MAX_ORDERS. Definition at line 191 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSong(), XFuXMPlayer::loadXM(), XFuXMPlayer::stream(), XFuXMPlayer::XFuXMPlayer(), and XFuXMPlayer::~XFuXMPlayer().

UINT16 XFuXMSong::mRestartPosition

| Song restart position. Definition at line 193 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::loadXM(), and XFuXMPlayer::stream().

UINT16 XFuXMSong::mSongLength

| Song length in pattern order table. Definition at line 192 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSong(), XFuXMPlayer::loadXM(), and XFuXMPlayer::stream().

UINT16 XFuXMSong::mTempo

| Tempo (0..31), tick count. Definition at line 199 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::dumpSongParameters(), XFuXMPlayer::initSong(), XFuXMPlayer::loadXM(), and XFuXMPlayer::stream().

The documentation for this class was generated from the following file:

- XFuXMPlayer_internal.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch